<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

//微信登录授权获取code
Route::get('/wxLogin/{env}', function ($env) {
    $redirectUrl=urlencode(config('app.globals.WxRedirectUrl'));
    $url="https://open.weixin.qq.com/connect/oauth2/authorize?appid=".config('app.globals.WxAppid')."&redirect_uri=".$redirectUrl."&response_type=code&scope=snsapi_base&state=".$env."#wechat_redirect";
    return redirect($url);
});
//微信登录授权获取openid
Route::get('/wxGetCode','App\Http\Controllers\API\H5\LoginController@wxGetCode' );
Route::get('/test','App\Http\Controllers\TestController@DBtest' );
